> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat with VISO Agent



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs post /api/v1/chat
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/chat:
    post:
      tags:
        - client-api-chat-rest-resource
      summary: Chat with VISO Agent
      operationId: chat
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VisoAgentClientChatRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisoAgentClientApiChatResponse'
components:
  schemas:
    VisoAgentClientChatRequest:
      type: object
      properties:
        conversationId:
          type:
            - string
            - 'null'
          format: uuid
        message:
          type: string
          minLength: 1
      required:
        - message
    VisoAgentClientApiChatResponse:
      type: object
      properties:
        conversationId:
          type: string
          format: uuid
        reply:
          type: string

````